Skip to main content
GET
/
addresses
/
verifications
List address verifications
curl --request GET \
  --url https://api.paxos.com/v2/addresses/verifications \
  --header 'Authorization: Bearer <token>'
{
  "next_page_cursor": "<string>",
  "items": [
    {
      "id": "<string>",
      "network": "<string>",
      "address": "<string>",
      "signature_verification": {
        "message": "<string>",
        "nonce": "<string>",
        "signature": "<string>"
      },
      "small_deposit_verification": {
        "amount": "<string>",
        "deposit_address": "<string>",
        "transaction_hash": "<string>",
        "asset": "<string>"
      },
      "manual_verification": {
        "verified_by": "<string>",
        "reason": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "ref_id": "<string>"
    }
  ]
}
OAuth Scope
address_ownership:read_verification

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

verification_method
enum<string>
Available options:
SIGNATURE,
SMALL_DEPOSIT,
MANUAL
status
enum<string>
Available options:
PENDING,
APPROVED,
EXPIRED
limit
integer<int32>
order
enum<string>
Available options:
DESC,
ASC
order_by
enum<string>
Available options:
CREATED_AT
page_cursor
string
created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

deposit_address
string
network
string
address
string
updated_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

updated_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

Response

200 - application/json

A successful response.

next_page_cursor
string
items
object[]